public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: llvm-runtimes/flang-rt/
@ 2025-02-24 14:14 Michał Górny
  0 siblings, 0 replies; 4+ messages in thread
From: Michał Górny @ 2025-02-24 14:14 UTC (permalink / raw
  To: gentoo-commits

commit:     bfd4bcd64e80a2da8cef9fc674e3b9b0109eb58f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 24 12:54:57 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 24 14:13:55 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfd4bcd6

llvm-runtimes/flang-rt: Add a split package for Flang runtime

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 llvm-runtimes/flang-rt/Manifest                    |  1 +
 llvm-runtimes/flang-rt/flang-rt-21.0.0.9999.ebuild | 72 ++++++++++++++++++++++
 .../flang-rt/flang-rt-21.0.0_pre20250221.ebuild    | 72 ++++++++++++++++++++++
 llvm-runtimes/flang-rt/metadata.xml                | 10 +++
 4 files changed, 155 insertions(+)

diff --git a/llvm-runtimes/flang-rt/Manifest b/llvm-runtimes/flang-rt/Manifest
new file mode 100644
index 000000000000..077ac2c8fe68
--- /dev/null
+++ b/llvm-runtimes/flang-rt/Manifest
@@ -0,0 +1 @@
+DIST llvm-project-581599096e8a1a89ccd3e053a1209c69a9079083.tar.gz 227830555 BLAKE2B 28a04dd5ce96716d389fe049c4b877f55d6e5cad5c77d8867dd7e3a448213ef413e4f4d7d5f77b0702b26a8eb25f53e08d90e2a5a97eaa3f89245531d9f6626d SHA512 d775aea9bf71d60673e966a689ff6b933afecab2c133a1f64a158551ba9db049221148eab5087bab0ce0ff917456b85fb4ea4d7284886326f54617d167a385a5

diff --git a/llvm-runtimes/flang-rt/flang-rt-21.0.0.9999.ebuild b/llvm-runtimes/flang-rt/flang-rt-21.0.0.9999.ebuild
new file mode 100644
index 000000000000..30245857a84e
--- /dev/null
+++ b/llvm-runtimes/flang-rt/flang-rt-21.0.0.9999.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic llvm.org
+
+DESCRIPTION="LLVM's Fortran runtime"
+HOMEPAGE="https://flang.llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions"
+SLOT="${LLVM_MAJOR}"
+IUSE="+debug test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	!<llvm-core/flang-21.0.0_pre20250221-r1
+"
+BDEPEND="
+	llvm-core/llvm:${LLVM_MAJOR}
+	llvm-core/flang
+	test? (
+		dev-python/lit
+	)
+"
+
+LLVM_COMPONENTS=(
+	runtimes flang-rt cmake flang llvm/{cmake,utils/llvm-lit}
+)
+llvm.org_set_globals
+
+src_configure() {
+	# the code is not portable
+	local -x FC=flang F77=flang
+	strip-unsupported-flags
+
+	local mycmakeargs=(
+		# we may not have a runtime yet
+		-DCMAKE_Fortran_COMPILER_WORKS=TRUE
+
+		-DLLVM_ENABLE_RUNTIMES="flang-rt"
+		# this package forces NO_DEFAULT_PATHS
+		-DLLVM_BINARY_DIR="${ESYSROOT}/usr/lib/llvm/${LLVM_MAJOR}"
+
+		-DFLANG_RT_INCLUDE_TESTS=$(usex test)
+	)
+	use test && mycmakeargs+=(
+		-DLLVM_EXTERNAL_LIT="${EPREFIX}/usr/bin/lit"
+		-DLLVM_LIT_ARGS="$(get_lit_flags)"
+	)
+
+	# LLVM_ENABLE_ASSERTIONS=NO does not guarantee this for us, #614844
+	use debug || local -x CPPFLAGS="${CPPFLAGS} -DNDEBUG"
+	cmake_src_configure
+}
+
+src_test() {
+	# respect TMPDIR!
+	local -x LIT_PRESERVES_TMP=1
+	cmake_build check-flang-rt
+}
+
+src_install() {
+	cmake_src_install
+
+	# in standalone build, the library is installed to (incorrect) resource dir
+	# but the driver only looks for it in lib (sigh)
+	# https://github.com/llvm/llvm-project/issues/127538
+	mkdir -p "${ED}/usr/lib/llvm/${LLVM_MAJOR}" || die
+	mv "${ED}/usr/$(get_libdir)/clang/${LLVM_MAJOR}/lib"/* \
+		"${ED}/usr/lib/llvm/${LLVM_MAJOR}/lib" || die
+}

diff --git a/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250221.ebuild b/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250221.ebuild
new file mode 100644
index 000000000000..30245857a84e
--- /dev/null
+++ b/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250221.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic llvm.org
+
+DESCRIPTION="LLVM's Fortran runtime"
+HOMEPAGE="https://flang.llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions"
+SLOT="${LLVM_MAJOR}"
+IUSE="+debug test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	!<llvm-core/flang-21.0.0_pre20250221-r1
+"
+BDEPEND="
+	llvm-core/llvm:${LLVM_MAJOR}
+	llvm-core/flang
+	test? (
+		dev-python/lit
+	)
+"
+
+LLVM_COMPONENTS=(
+	runtimes flang-rt cmake flang llvm/{cmake,utils/llvm-lit}
+)
+llvm.org_set_globals
+
+src_configure() {
+	# the code is not portable
+	local -x FC=flang F77=flang
+	strip-unsupported-flags
+
+	local mycmakeargs=(
+		# we may not have a runtime yet
+		-DCMAKE_Fortran_COMPILER_WORKS=TRUE
+
+		-DLLVM_ENABLE_RUNTIMES="flang-rt"
+		# this package forces NO_DEFAULT_PATHS
+		-DLLVM_BINARY_DIR="${ESYSROOT}/usr/lib/llvm/${LLVM_MAJOR}"
+
+		-DFLANG_RT_INCLUDE_TESTS=$(usex test)
+	)
+	use test && mycmakeargs+=(
+		-DLLVM_EXTERNAL_LIT="${EPREFIX}/usr/bin/lit"
+		-DLLVM_LIT_ARGS="$(get_lit_flags)"
+	)
+
+	# LLVM_ENABLE_ASSERTIONS=NO does not guarantee this for us, #614844
+	use debug || local -x CPPFLAGS="${CPPFLAGS} -DNDEBUG"
+	cmake_src_configure
+}
+
+src_test() {
+	# respect TMPDIR!
+	local -x LIT_PRESERVES_TMP=1
+	cmake_build check-flang-rt
+}
+
+src_install() {
+	cmake_src_install
+
+	# in standalone build, the library is installed to (incorrect) resource dir
+	# but the driver only looks for it in lib (sigh)
+	# https://github.com/llvm/llvm-project/issues/127538
+	mkdir -p "${ED}/usr/lib/llvm/${LLVM_MAJOR}" || die
+	mv "${ED}/usr/$(get_libdir)/clang/${LLVM_MAJOR}/lib"/* \
+		"${ED}/usr/lib/llvm/${LLVM_MAJOR}/lib" || die
+}

diff --git a/llvm-runtimes/flang-rt/metadata.xml b/llvm-runtimes/flang-rt/metadata.xml
new file mode 100644
index 000000000000..072910296ca3
--- /dev/null
+++ b/llvm-runtimes/flang-rt/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>llvm@gentoo.org</email>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">llvm/llvm-project</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: llvm-runtimes/flang-rt/
@ 2025-02-25 14:03 Michał Górny
  0 siblings, 0 replies; 4+ messages in thread
From: Michał Górny @ 2025-02-25 14:03 UTC (permalink / raw
  To: gentoo-commits

commit:     59010a59be460fabfb9942a1bd016cbd035ab97c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 25 12:50:19 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb 25 14:03:12 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59010a59

llvm-runtimes/flang-rt: Add 21.0.0_pre20250225 snapshot

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 llvm-runtimes/flang-rt/Manifest                    |  1 +
 .../flang-rt/flang-rt-21.0.0_pre20250225.ebuild    | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/llvm-runtimes/flang-rt/Manifest b/llvm-runtimes/flang-rt/Manifest
index 077ac2c8fe68..7af56d1293ec 100644
--- a/llvm-runtimes/flang-rt/Manifest
+++ b/llvm-runtimes/flang-rt/Manifest
@@ -1 +1,2 @@
 DIST llvm-project-581599096e8a1a89ccd3e053a1209c69a9079083.tar.gz 227830555 BLAKE2B 28a04dd5ce96716d389fe049c4b877f55d6e5cad5c77d8867dd7e3a448213ef413e4f4d7d5f77b0702b26a8eb25f53e08d90e2a5a97eaa3f89245531d9f6626d SHA512 d775aea9bf71d60673e966a689ff6b933afecab2c133a1f64a158551ba9db049221148eab5087bab0ce0ff917456b85fb4ea4d7284886326f54617d167a385a5
+DIST llvm-project-d254fa877f419e61e54709f0a6f2e891da893a60.tar.gz 228028122 BLAKE2B 3321f3b205dfcd672d52122d7ba8e4e737916e01f5041a0dc140722f64359476632e036da0e0692cd366b080a073292cfdb4963e973bf800afabc20d06a2e86b SHA512 135c4864973b682cf41953d43d977eaa219a4a898fceb4b4a8cacbbc6a5dd271d26010b1db6c6c90e761bf3495036f3e7528ab259d48c9c4dc4a064332c0326f

diff --git a/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250225.ebuild b/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250225.ebuild
new file mode 100644
index 000000000000..30245857a84e
--- /dev/null
+++ b/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250225.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic llvm.org
+
+DESCRIPTION="LLVM's Fortran runtime"
+HOMEPAGE="https://flang.llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions"
+SLOT="${LLVM_MAJOR}"
+IUSE="+debug test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	!<llvm-core/flang-21.0.0_pre20250221-r1
+"
+BDEPEND="
+	llvm-core/llvm:${LLVM_MAJOR}
+	llvm-core/flang
+	test? (
+		dev-python/lit
+	)
+"
+
+LLVM_COMPONENTS=(
+	runtimes flang-rt cmake flang llvm/{cmake,utils/llvm-lit}
+)
+llvm.org_set_globals
+
+src_configure() {
+	# the code is not portable
+	local -x FC=flang F77=flang
+	strip-unsupported-flags
+
+	local mycmakeargs=(
+		# we may not have a runtime yet
+		-DCMAKE_Fortran_COMPILER_WORKS=TRUE
+
+		-DLLVM_ENABLE_RUNTIMES="flang-rt"
+		# this package forces NO_DEFAULT_PATHS
+		-DLLVM_BINARY_DIR="${ESYSROOT}/usr/lib/llvm/${LLVM_MAJOR}"
+
+		-DFLANG_RT_INCLUDE_TESTS=$(usex test)
+	)
+	use test && mycmakeargs+=(
+		-DLLVM_EXTERNAL_LIT="${EPREFIX}/usr/bin/lit"
+		-DLLVM_LIT_ARGS="$(get_lit_flags)"
+	)
+
+	# LLVM_ENABLE_ASSERTIONS=NO does not guarantee this for us, #614844
+	use debug || local -x CPPFLAGS="${CPPFLAGS} -DNDEBUG"
+	cmake_src_configure
+}
+
+src_test() {
+	# respect TMPDIR!
+	local -x LIT_PRESERVES_TMP=1
+	cmake_build check-flang-rt
+}
+
+src_install() {
+	cmake_src_install
+
+	# in standalone build, the library is installed to (incorrect) resource dir
+	# but the driver only looks for it in lib (sigh)
+	# https://github.com/llvm/llvm-project/issues/127538
+	mkdir -p "${ED}/usr/lib/llvm/${LLVM_MAJOR}" || die
+	mv "${ED}/usr/$(get_libdir)/clang/${LLVM_MAJOR}/lib"/* \
+		"${ED}/usr/lib/llvm/${LLVM_MAJOR}/lib" || die
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: llvm-runtimes/flang-rt/
@ 2025-03-01 12:58 Michał Górny
  0 siblings, 0 replies; 4+ messages in thread
From: Michał Górny @ 2025-03-01 12:58 UTC (permalink / raw
  To: gentoo-commits

commit:     c412e2e33d097510f86880c5cb2d28fd7c2e7c97
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  1 12:56:22 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar  1 12:58:29 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c412e2e3

llvm-runtimes/flang-rt: Add 21.0.0_pre20250301 snapshot

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 llvm-runtimes/flang-rt/Manifest                    |  1 +
 .../flang-rt/flang-rt-21.0.0_pre20250301.ebuild    | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/llvm-runtimes/flang-rt/Manifest b/llvm-runtimes/flang-rt/Manifest
index 72f84bf47289..c7fdddbe6ab3 100644
--- a/llvm-runtimes/flang-rt/Manifest
+++ b/llvm-runtimes/flang-rt/Manifest
@@ -1 +1,2 @@
+DIST llvm-project-7e8a06cfa4a2951b8ee77e19e34926e6e535b4d1.tar.gz 228792296 BLAKE2B cd9357bdca9342770820f9fadfbd0b129a83324847f18e2ebac1fed8df4afb101aba2dc19d90264ae1e2d5692e34149ca24ef82a4973e7aeddb157268bb411b6 SHA512 9821a34a559e1db596940d76ce9388360baea43c1a9de814f567bfcf1428a0c6e3ced61b1e07537058454785d9c3aa3f443cbcf742a01fb40dd20b476a906442
 DIST llvm-project-d254fa877f419e61e54709f0a6f2e891da893a60.tar.gz 228028122 BLAKE2B 3321f3b205dfcd672d52122d7ba8e4e737916e01f5041a0dc140722f64359476632e036da0e0692cd366b080a073292cfdb4963e973bf800afabc20d06a2e86b SHA512 135c4864973b682cf41953d43d977eaa219a4a898fceb4b4a8cacbbc6a5dd271d26010b1db6c6c90e761bf3495036f3e7528ab259d48c9c4dc4a064332c0326f

diff --git a/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250301.ebuild b/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250301.ebuild
new file mode 100644
index 000000000000..30245857a84e
--- /dev/null
+++ b/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250301.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic llvm.org
+
+DESCRIPTION="LLVM's Fortran runtime"
+HOMEPAGE="https://flang.llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions"
+SLOT="${LLVM_MAJOR}"
+IUSE="+debug test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	!<llvm-core/flang-21.0.0_pre20250221-r1
+"
+BDEPEND="
+	llvm-core/llvm:${LLVM_MAJOR}
+	llvm-core/flang
+	test? (
+		dev-python/lit
+	)
+"
+
+LLVM_COMPONENTS=(
+	runtimes flang-rt cmake flang llvm/{cmake,utils/llvm-lit}
+)
+llvm.org_set_globals
+
+src_configure() {
+	# the code is not portable
+	local -x FC=flang F77=flang
+	strip-unsupported-flags
+
+	local mycmakeargs=(
+		# we may not have a runtime yet
+		-DCMAKE_Fortran_COMPILER_WORKS=TRUE
+
+		-DLLVM_ENABLE_RUNTIMES="flang-rt"
+		# this package forces NO_DEFAULT_PATHS
+		-DLLVM_BINARY_DIR="${ESYSROOT}/usr/lib/llvm/${LLVM_MAJOR}"
+
+		-DFLANG_RT_INCLUDE_TESTS=$(usex test)
+	)
+	use test && mycmakeargs+=(
+		-DLLVM_EXTERNAL_LIT="${EPREFIX}/usr/bin/lit"
+		-DLLVM_LIT_ARGS="$(get_lit_flags)"
+	)
+
+	# LLVM_ENABLE_ASSERTIONS=NO does not guarantee this for us, #614844
+	use debug || local -x CPPFLAGS="${CPPFLAGS} -DNDEBUG"
+	cmake_src_configure
+}
+
+src_test() {
+	# respect TMPDIR!
+	local -x LIT_PRESERVES_TMP=1
+	cmake_build check-flang-rt
+}
+
+src_install() {
+	cmake_src_install
+
+	# in standalone build, the library is installed to (incorrect) resource dir
+	# but the driver only looks for it in lib (sigh)
+	# https://github.com/llvm/llvm-project/issues/127538
+	mkdir -p "${ED}/usr/lib/llvm/${LLVM_MAJOR}" || die
+	mv "${ED}/usr/$(get_libdir)/clang/${LLVM_MAJOR}/lib"/* \
+		"${ED}/usr/lib/llvm/${LLVM_MAJOR}/lib" || die
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: llvm-runtimes/flang-rt/
@ 2025-03-05 10:39 Michał Górny
  0 siblings, 0 replies; 4+ messages in thread
From: Michał Górny @ 2025-03-05 10:39 UTC (permalink / raw
  To: gentoo-commits

commit:     b253dab119303a51168779535f7291bf933a1963
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  5 10:33:27 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar  5 10:39:51 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b253dab1

llvm-runtimes/flang-rt: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 llvm-runtimes/flang-rt/Manifest                    |  1 -
 .../flang-rt/flang-rt-21.0.0_pre20250225.ebuild    | 72 ----------------------
 2 files changed, 73 deletions(-)

diff --git a/llvm-runtimes/flang-rt/Manifest b/llvm-runtimes/flang-rt/Manifest
index c7fdddbe6ab3..afd12932d6bc 100644
--- a/llvm-runtimes/flang-rt/Manifest
+++ b/llvm-runtimes/flang-rt/Manifest
@@ -1,2 +1 @@
 DIST llvm-project-7e8a06cfa4a2951b8ee77e19e34926e6e535b4d1.tar.gz 228792296 BLAKE2B cd9357bdca9342770820f9fadfbd0b129a83324847f18e2ebac1fed8df4afb101aba2dc19d90264ae1e2d5692e34149ca24ef82a4973e7aeddb157268bb411b6 SHA512 9821a34a559e1db596940d76ce9388360baea43c1a9de814f567bfcf1428a0c6e3ced61b1e07537058454785d9c3aa3f443cbcf742a01fb40dd20b476a906442
-DIST llvm-project-d254fa877f419e61e54709f0a6f2e891da893a60.tar.gz 228028122 BLAKE2B 3321f3b205dfcd672d52122d7ba8e4e737916e01f5041a0dc140722f64359476632e036da0e0692cd366b080a073292cfdb4963e973bf800afabc20d06a2e86b SHA512 135c4864973b682cf41953d43d977eaa219a4a898fceb4b4a8cacbbc6a5dd271d26010b1db6c6c90e761bf3495036f3e7528ab259d48c9c4dc4a064332c0326f

diff --git a/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250225.ebuild b/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250225.ebuild
deleted file mode 100644
index 30245857a84e..000000000000
--- a/llvm-runtimes/flang-rt/flang-rt-21.0.0_pre20250225.ebuild
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake flag-o-matic llvm.org
-
-DESCRIPTION="LLVM's Fortran runtime"
-HOMEPAGE="https://flang.llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions"
-SLOT="${LLVM_MAJOR}"
-IUSE="+debug test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	!<llvm-core/flang-21.0.0_pre20250221-r1
-"
-BDEPEND="
-	llvm-core/llvm:${LLVM_MAJOR}
-	llvm-core/flang
-	test? (
-		dev-python/lit
-	)
-"
-
-LLVM_COMPONENTS=(
-	runtimes flang-rt cmake flang llvm/{cmake,utils/llvm-lit}
-)
-llvm.org_set_globals
-
-src_configure() {
-	# the code is not portable
-	local -x FC=flang F77=flang
-	strip-unsupported-flags
-
-	local mycmakeargs=(
-		# we may not have a runtime yet
-		-DCMAKE_Fortran_COMPILER_WORKS=TRUE
-
-		-DLLVM_ENABLE_RUNTIMES="flang-rt"
-		# this package forces NO_DEFAULT_PATHS
-		-DLLVM_BINARY_DIR="${ESYSROOT}/usr/lib/llvm/${LLVM_MAJOR}"
-
-		-DFLANG_RT_INCLUDE_TESTS=$(usex test)
-	)
-	use test && mycmakeargs+=(
-		-DLLVM_EXTERNAL_LIT="${EPREFIX}/usr/bin/lit"
-		-DLLVM_LIT_ARGS="$(get_lit_flags)"
-	)
-
-	# LLVM_ENABLE_ASSERTIONS=NO does not guarantee this for us, #614844
-	use debug || local -x CPPFLAGS="${CPPFLAGS} -DNDEBUG"
-	cmake_src_configure
-}
-
-src_test() {
-	# respect TMPDIR!
-	local -x LIT_PRESERVES_TMP=1
-	cmake_build check-flang-rt
-}
-
-src_install() {
-	cmake_src_install
-
-	# in standalone build, the library is installed to (incorrect) resource dir
-	# but the driver only looks for it in lib (sigh)
-	# https://github.com/llvm/llvm-project/issues/127538
-	mkdir -p "${ED}/usr/lib/llvm/${LLVM_MAJOR}" || die
-	mv "${ED}/usr/$(get_libdir)/clang/${LLVM_MAJOR}/lib"/* \
-		"${ED}/usr/lib/llvm/${LLVM_MAJOR}/lib" || die
-}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2025-03-05 10:39 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-03-05 10:39 [gentoo-commits] repo/gentoo:master commit in: llvm-runtimes/flang-rt/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2025-03-01 12:58 Michał Górny
2025-02-25 14:03 Michał Górny
2025-02-24 14:14 Michał Górny

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox